Package net.shibboleth.idp.consent.logic.impl

# Class AttributeValuesHashFunction

java.lang.Object
net.shibboleth.idp.consent.logic.impl.AttributeValuesHashFunction

All Implemented Interfaces:
  `Function<Collection<IdPAttributeValue>,String>`

public class AttributeValuesHashFunction extends Object implements Function<Collection<IdPAttributeValue>,String>
Function to calculate the hash of the values of an IdP attribute. Returns `null` for a `null` input or empty collection of IdP attribute values. `Null` IdP attribute values are ignored. The hash returned is the Base64 encoded representation of the SHA-256 digest.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`AttributeValuesHashFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(Collection<IdPAttributeValue> input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### AttributeValuesHashFunction

public AttributeValuesHashFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable Collection<IdPAttributeValue> input)

Specified by:
  `apply` in interface `Function<Collection<IdPAttributeValue>,String>`